Skip to content

document-receipts​

Manage receipt documents


Get receipts​

GET
/accounts/{accountUuid}/documents/v2/receipts

Get receipts

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Query Parameters

updatedSince

filter for updated items

limit

pagination limit

Type
[ "number", "null" ]
Maximum
400
Minimum
1
page

pagination page

Type
[ "number", "null" ]
Default
1
Minimum
1

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"documents": [
  
  
  
{
  
  
  
  
"uuid": "string",
  
  
  
  
"currencyCode": "string",
  
  
  
  
"currencyCodeRecognized": "string",
  
  
  
  
"title": "string",
  
  
  
  
"number": "string",
  
  
  
  
"receiptNumber": "string",
  
  
  
  
"reference": "string",
  
  
  
  
"customField1": "string",
  
  
  
  
"customField2": "string",
  
  
  
  
"customField3": "string",
  
  
  
  
"customField4": "string",
  
  
  
  
"terms": "string",
  
  
  
  
"publicNotes": "string",
  
  
  
  
"footerText": "string",
  
  
  
  
"receiver": {
  
  
  
  
  
"addressUuid": "string",
  
  
  
  
  
"companyUuid": "string",
  
  
  
  
  
"networkUuid": "string",
  
  
  
  
  
"networkKey": "string",
  
  
  
  
  
"networkName": "string",
  
  
  
  
  
"deliveryAddressUuid": "string",
  
  
  
  
  
"contactPersonUuid": "string",
  
  
  
  
  
"additionalReceivers": [
  
  
  
  
  
  
{
  
  
  
  
  
  
  
"personUuid": "string"
  
  
  
  
  
  
}
  
  
  
  
  
],
  
  
  
  
  
"receiverInformation": {
  
  
  
  
  
  
"customerNumber": "string",
  
  
  
  
  
  
"companyName": "string",
  
  
  
  
  
  
"name": "string",
  
  
  
  
  
  
"nameWithSalutation": "string",
  
  
  
  
  
  
"careOfAddress": "string",
  
  
  
  
  
  
"address": "string",
  
  
  
  
  
  
"extension": "string",
  
  
  
  
  
  
"houseNumber": "string",
  
  
  
  
  
  
"zipCode": "string",
  
  
  
  
  
  
"city": "string",
  
  
  
  
  
  
"countryCode": "string",
  
  
  
  
  
  
"email": "string",
  
  
  
  
  
  
"language": "string",
  
  
  
  
  
  
"deliveryAddress": {
  
  
  
  
  
  
  
"companyName": "string",
  
  
  
  
  
  
  
"name": "string",
  
  
  
  
  
  
  
"nameWithSalutation": "string",
  
  
  
  
  
  
  
"careOfAddress": "string",
  
  
  
  
  
  
  
"address": "string",
  
  
  
  
  
  
  
"extension": "string",
  
  
  
  
  
  
  
"houseNumber": "string",
  
  
  
  
  
  
  
"zipCode": "string",
  
  
  
  
  
  
  
"city": "string",
  
  
  
  
  
  
  
"countryCode": "string"
  
  
  
  
  
  
},
  
  
  
  
  
  
"additionalReceivers": [
  
  
  
  
  
  
  
{
  
  
  
  
  
  
  
  
"fullName": "string",
  
  
  
  
  
  
  
  
"email": "string"
  
  
  
  
  
  
  
}
  
  
  
  
  
  
]
  
  
  
  
  
},
  
  
  
  
  
"personUuid": "string"
  
  
  
  
},
  
  
  
  
"invoiceDate": "string",
  
  
  
  
"dueDate": "string",
  
  
  
  
"deliveryDate": "string",
  
  
  
  
"documentTotal": 0,
  
  
  
  
"isArchived": true,
  
  
  
  
"archived": true,
  
  
  
  
"isCancelled": true,
  
  
  
  
"cancelled": true,
  
  
  
  
"openAmount": 0,
  
  
  
  
"balance": 0,
  
  
  
  
"isTemplate": true
  
  
  
}
  
  
]
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Get bulk actions​

GET
/accounts/{accountUuid}/documents/v2/receipts/bulk-actions

Get receipt bulk actions

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Query Parameters

forList

filter list actions

Type
boolean
Default
false

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"additionalProperties": "string"
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Get comment collection​

GET
/accounts/{accountUuid}/documents/v2/receipts/{documentUuid}/comments

fetches comments of a document via pagination

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Query Parameters

page
Type
[ "integer", "null" ]
Default
1
Minimum
1
perPage
Type
[ "integer", "null" ]
Minimum
1

Responses​

Successful response

application/json
JSON
{
  
"data": [
  
  
{
  
  
  
"uuid": "string",
  
  
  
"authorUserUuid": "string",
  
  
  
"createdAt": "string",
  
  
  
"userName": "string",
  
  
  
"comment": "string",
  
  
  
"type": "string",
  
  
  
"isDeletable": true
  
  
}
  
],
  
"message": "string",
  
"status": 200,
  
"meta": {
  
  
"pagination": {
  
  
  
"currentPage": 0,
  
  
  
"firstPageUrl": "string",
  
  
  
"from": 1,
  
  
  
"lastPage": 0,
  
  
  
"lastPageUrl": "string",
  
  
  
"nextPageUrl": "string",
  
  
  
"perPage": 50,
  
  
  
"previousPageUrl": "string",
  
  
  
"to": 50,
  
  
  
"totalItems": 0
  
  
}
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Create comment​

POST
/accounts/{accountUuid}/documents/v2/receipts/{documentUuid}/comments

creates a new comment on a document either for internal or external use

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"comment": "string",
  
"type": "string"
}

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"authorUserUuid": "string",
  
  
"createdAt": "string",
  
  
"userName": "string",
  
  
"comment": "string",
  
  
"type": "string",
  
  
"isDeletable": true
  
},
  
"message": "string",
  
"status": 201,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Get Files​

GET
/accounts/{accountUuid}/documents/v2/receipts/{documentUuid}/files

Returns a list of files

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Query Parameters

page
Type
[ "integer", "null" ]
Default
1
Minimum
1
perPage
Type
[ "integer", "null" ]
Minimum
1
kind
Type
array

Responses​

Successful response

application/json
JSON
{
  
"data": [
  
  
{
  
  
  
"uuid": "string",
  
  
  
"name": "string",
  
  
  
"createdAt": "string",
  
  
  
"updatedAt": "string",
  
  
  
"archivedAt": "string",
  
  
  
"archivedReason": "string",
  
  
  
"fileSize": 0,
  
  
  
"mimeType": "string",
  
  
  
"kind": "string"
  
  
}
  
],
  
"message": "string",
  
"status": 200,
  
"meta": {
  
  
"pagination": {
  
  
  
"currentPage": 0,
  
  
  
"firstPageUrl": "string",
  
  
  
"from": 1,
  
  
  
"lastPage": 0,
  
  
  
"lastPageUrl": "string",
  
  
  
"nextPageUrl": "string",
  
  
  
"perPage": 50,
  
  
  
"previousPageUrl": "string",
  
  
  
"to": 50,
  
  
  
"totalItems": 0
  
  
}
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Get actions​

GET
/accounts/{accountUuid}/documents/v2/receipts/{receiptUuid}/actions

Get receipt actions

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
receiptUuid*
Type
string
Required
Format
"uuid"

Query Parameters

forList

filter list actions

Type
boolean
Default
false

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"additionalProperties": "string"
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute archive bulk action​

PATCH
/accounts/{accountUuid}/documents/v2/receipts/bulk-actions/archive

Marks the document as archived

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"documentUuids": [
  
  
"string"
  
]
}

Responses​

Successfully bulk executed action

application/json
JSON
{
  
"data": {
  
  
"additionalProperties": [
  
  
]
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Execute archive action​

PATCH
/accounts/{accountUuid}/documents/v2/receipts/{documentUuid}/actions/archive

Archives the document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": null,
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute cancel action​

PATCH
/accounts/{accountUuid}/documents/v2/receipts/{documentUuid}/actions/cancel

Cancels and moves the document back to draft

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": null,
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute cancelPermanently action​

PATCH
/accounts/{accountUuid}/documents/v2/receipts/{documentUuid}/actions/cancelPermanently

Cancels the document permanently. It cannot be edited afterwards

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": null,
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute delete action​

PATCH
/accounts/{accountUuid}/documents/v2/receipts/{documentUuid}/actions/delete

Deletes a document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": null,
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute offsetSupplierCreditNotes action​

PATCH
/accounts/{accountUuid}/documents/v2/receipts/{documentUuid}/actions/offsetSupplierCreditNotes

Offsets supplier credit notes to the receipt

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"supplierCreditNoteUuids": [
  
  
"string"
  
],
  
"valutaDate": "string"
}

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"counter": 0
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Execute regeneratePdf action​

PATCH
/accounts/{accountUuid}/documents/v2/receipts/{documentUuid}/actions/regeneratePdf

Regenerates the documents PDF

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"name": "string",
  
  
"createdAt": "string",
  
  
"updatedAt": "string",
  
  
"archivedAt": "string",
  
  
"archivedReason": "string",
  
  
"fileSize": 0,
  
  
"mimeType": "string",
  
  
"kind": "string",
  
  
"fileUrl": "string"
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute restore action​

PATCH
/accounts/{accountUuid}/documents/v2/receipts/{documentUuid}/actions/restore

Restores an archived document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": {
  
  
"type": "string",
  
  
"id": 0,
  
  
"uuid": "string"
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute resync action​

PATCH
/accounts/{accountUuid}/documents/v2/receipts/{documentUuid}/actions/resync

Resyncs the document to Abacus

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": null,
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Execute sync action​

PATCH
/accounts/{accountUuid}/documents/v2/receipts/{documentUuid}/actions/sync

Syncs the document to Abacus

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully executed action

application/json
JSON
{
  
"data": null,
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Get comment​

GET
/accounts/{accountUuid}/documents/v2/receipts/{documentUuid}/comments/{commentUuid}

fetches a single comment of a document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"
commentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"authorUserUuid": "string",
  
  
"createdAt": "string",
  
  
"userName": "string",
  
  
"comment": "string",
  
  
"type": "string",
  
  
"isDeletable": true
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Delete comment​

DELETE
/accounts/{accountUuid}/documents/v2/receipts/{documentUuid}/comments/{commentUuid}

deletes a comment of a document, which cannot be restored anymore afterwards.

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"
commentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successful response

Playground​

Authorization
Variables
Key
Value

Samples​


Get File​

GET
/accounts/{accountUuid}/documents/v2/receipts/{documentUuid}/files/{fileUuid}

Returns a file

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"
fileUuid*
Type
string
Required
Format
"uuid"

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"name": "string",
  
  
"createdAt": "string",
  
  
"updatedAt": "string",
  
  
"archivedAt": "string",
  
  
"archivedReason": "string",
  
  
"fileSize": 0,
  
  
"mimeType": "string",
  
  
"kind": "string",
  
  
"fileUrl": "string"
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​